Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Skills

Create Skill
POST
/skills
Delete Skill
DELETE
/skills/{skill_id}
List Skills
GET
/skills
Get Skill
GET
/skills/{skill_id}
Update Skill Default Version
POST
/skills/{skill_id}
Models
DeletedSkill object { id, deleted, object }
id: string
deleted: boolean
object: "skill.deleted" (default: "skill.deleted")
Skill object { id, created_at, default_version, 4 more }
id: string

Unique identifier for the skill.

created_at: integer

Unix timestamp (seconds) for when the skill was created.

formatunixtime
default_version: string

Default version for the skill.

description: string

Description of the skill.

latest_version: string

Latest version for the skill.

name: string

Name of the skill.

object: "skill" (default: "skill")

The object type, which is skill.

SkillList object { data, first_id, has_more, 2 more }
data: array of Skill { id, created_at, default_version, 4 more }

A list of items

id: string

Unique identifier for the skill.

created_at: integer

Unix timestamp (seconds) for when the skill was created.

formatunixtime
default_version: string

Default version for the skill.

description: string

Description of the skill.

latest_version: string

Latest version for the skill.

name: string

Name of the skill.

object: "skill" (default: "skill")

The object type, which is skill.

first_id: string or null

The ID of the first item in the list.

has_more: boolean

Whether there are more items available.

last_id: string or null

The ID of the last item in the list.

object: "list" (default: "list")

The type of object returned, must be list.

SkillsContent

Get Skill Content
GET
/skills/{skill_id}/content

SkillsVersions

Create Skill Version
POST
/skills/{skill_id}/versions
Delete Skill Version
DELETE
/skills/{skill_id}/versions/{version}
List Skill Versions
GET
/skills/{skill_id}/versions
Get Skill Version
GET
/skills/{skill_id}/versions/{version}
Models
DeletedSkillVersion object { id, deleted, object, version }
id: string
deleted: boolean
object: "skill.version.deleted" (default: "skill.version.deleted")
version: string

The deleted skill version.

SkillVersion object { id, created_at, description, 4 more }
id: string

Unique identifier for the skill version.

created_at: integer

Unix timestamp (seconds) for when the version was created.

formatunixtime
description: string

Description of the skill version.

name: string

Name of the skill version.

object: "skill.version" (default: "skill.version")

The object type, which is skill.version.

skill_id: string

Identifier of the skill for this version.

version: string

Version number for this skill.

SkillVersionList object { data, first_id, has_more, 2 more }
data: array of SkillVersion { id, created_at, description, 4 more }

A list of items

id: string

Unique identifier for the skill version.

created_at: integer

Unix timestamp (seconds) for when the version was created.

formatunixtime
description: string

Description of the skill version.

name: string

Name of the skill version.

object: "skill.version" (default: "skill.version")

The object type, which is skill.version.

skill_id: string

Identifier of the skill for this version.

version: string

Version number for this skill.

first_id: string or null

The ID of the first item in the list.

has_more: boolean

Whether there are more items available.

last_id: string or null

The ID of the last item in the list.

object: "list" (default: "list")

The type of object returned, must be list.

SkillsVersionsContent

Get Skill Version Content
GET
/skills/{skill_id}/versions/{version}/content